* [PATCH V3] recipes-initramfs/compress-initrd: add recipe to compress initrd with xz
2024-05-31 7:35 ` Jan Kiszka
@ 2024-04-17 13:43 ` srinuvasan.a
2024-07-08 9:44 ` Srinuvasan Arjunan
0 siblings, 1 reply; 12+ messages in thread
From: srinuvasan.a @ 2024-04-17 13:43 UTC (permalink / raw)
To: isar-users; +Cc: ubely, jan.kiszka, srinuvasan
From: srinuvasan <srinuvasan.a@siemens.com>
By default initrd compressed with gzip tool, with the present bullseye base image
of amd64 the initrd size is almost 27MB, this can be reduced with the help of xz tool,
using this one the generated initrd size is almost 18MB, we saved almost 9MB.
Signed-off-by: srinuvasan <srinuvasan.a@siemens.com>
---
kas/package/Kconfig | 9 ++++++++
kas/package/pkg_compress_initrd.yaml | 9 ++++++++
.../compress-initrd/compress-initrd.bb | 21 +++++++++++++++++++
.../compress-initrd/files/postinst | 5 +++++
4 files changed, 44 insertions(+)
create mode 100644 kas/package/pkg_compress_initrd.yaml
create mode 100644 meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
create mode 100644 meta-isar/recipes-initramfs/compress-initrd/files/postinst
diff --git a/kas/package/Kconfig b/kas/package/Kconfig
index 35ba7cf1..9c24a680 100644
--- a/kas/package/Kconfig
+++ b/kas/package/Kconfig
@@ -146,6 +146,15 @@ config KAS_INCLUDE_PACKAGE_ISAR_CI_SSH_SETUP
default "kas/package/pkg_sshd-regen-keys.yaml"
depends on PACKAGE_ISAR_CI_SSH_SETUP
+config PACKAGE_COMPRESS_INITRD
+ bool "compress initrd"
+ default y
+
+config KAS_INCLUDE_PACKAGE_COMPRESS_INITRD
+ string
+ default "kas/package/pkg_compress_initrd.yaml"
+ depends on PACKAGE_COMPRESS_INITRD
+
endmenu
config KAS_IMAGE_PREINSTALL
diff --git a/kas/package/pkg_compress_initrd.yaml b/kas/package/pkg_compress_initrd.yaml
new file mode 100644
index 00000000..376a280c
--- /dev/null
+++ b/kas/package/pkg_compress_initrd.yaml
@@ -0,0 +1,9 @@
+# This software is a part of ISAR.
+# Copyright (C) 2024 ilbers GmbH
+
+header:
+ version: 14
+
+local_conf_header:
+ package-compress-initrd: |
+ IMAGE_INSTALL:append = " compress-initrd"
diff --git a/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb b/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
new file mode 100644
index 00000000..b1a5909b
--- /dev/null
+++ b/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
@@ -0,0 +1,21 @@
+# Sample recipe to configure the desired compression tool
+# during initramfs generation
+#
+# This software is a part of ISAR.
+
+DESCRIPTION = "Compress the initrd with configured compression tool"
+MAINTAINER = "Your name here <you@domain.com>"
+
+inherit dpkg-raw
+
+COMPRESS_TOOL ?= "xz"
+
+DEBIAN_DEPENDS = "linux-image-${KERNEL_NAME}, xz-utils, initramfs-tools"
+
+SRC_URI = " \
+ file://postinst \
+"
+do_install() {
+ install -v -d "${D}/etc/initramfs-tools/conf.d/"
+ echo "COMPRESS=${COMPRESS_TOOL}" > "${D}/etc/initramfs-tools/conf.d/${PN}.conf"
+}
diff --git a/meta-isar/recipes-initramfs/compress-initrd/files/postinst b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
new file mode 100644
index 00000000..0db52142
--- /dev/null
+++ b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+set -e
+
+update-initramfs -c -k all
--
2.34.1
^ permalink raw reply [flat|nested] 12+ messages in thread
* [PATCH] recipes-initramfs/compress-initrd: add recipe to compress initrd with xz
@ 2024-05-13 5:26 srinuvasan.a
2024-05-13 5:27 ` Jan Kiszka
2024-05-13 6:47 ` MOESSBAUER, Felix
0 siblings, 2 replies; 12+ messages in thread
From: srinuvasan.a @ 2024-05-13 5:26 UTC (permalink / raw)
To: isar-users; +Cc: jan.kiszka, ubely, srinuvasan
From: srinuvasan <srinuvasan.a@siemens.com>
By default initrd compressed with zstd tool, with the present bullseye base image
of amd64 the initrd size is almost 27MB, this can be reduced with the help of xz tool,
using this one the generated initrd size is almost 18MB, we saved almost 9MB.
Signed-off-by: srinuvasan <srinuvasan.a@siemens.com>
---
meta-isar/conf/local.conf.sample | 2 +-
.../compress-initrd/compress-initrd.bb | 18 ++++++++++++++++++
.../compress-initrd/files/postinst | 5 +++++
3 files changed, 24 insertions(+), 1 deletion(-)
create mode 100644 meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
create mode 100644 meta-isar/recipes-initramfs/compress-initrd/files/postinst
diff --git a/meta-isar/conf/local.conf.sample b/meta-isar/conf/local.conf.sample
index 17455015..ac8b749e 100644
--- a/meta-isar/conf/local.conf.sample
+++ b/meta-isar/conf/local.conf.sample
@@ -149,7 +149,7 @@ CONF_VERSION = "1"
#
# The default list of extra packages to be installed.
-IMAGE_INSTALL = "hello-isar example-raw example-module-${KERNEL_NAME} enable-fsck isar-exclude-docs samefile hello isar-disable-apt-cache cowsay example-prebuilt"
+IMAGE_INSTALL = "hello-isar example-raw example-module-${KERNEL_NAME} enable-fsck isar-exclude-docs samefile hello isar-disable-apt-cache cowsay example-prebuilt compress-initrd"
#
# Machines with secure boot should use signed modules.
diff --git a/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb b/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
new file mode 100644
index 00000000..21e28782
--- /dev/null
+++ b/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
@@ -0,0 +1,18 @@
+# Compress the initrd with better compression tool
+#
+# This software is a part of ISAR.
+
+DESCRIPTION = "Compress the initrd with better compression tool"
+MAINTAINER = "Your name here <you@domain.com>"
+
+inherit dpkg-raw
+
+DEBIAN_DEPENDS = "linux-image-${KERNEL_NAME}, xz-utils, initramfs-tools"
+
+SRC_URI = " \
+ file://postinst \
+"
+do_install() {
+ install -v -d "${D}/etc/initramfs-tools/conf.d/"
+ echo "COMPRESS=xz" > "${D}/etc/initramfs-tools/conf.d/${PN}.conf"
+}
diff --git a/meta-isar/recipes-initramfs/compress-initrd/files/postinst b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
new file mode 100644
index 00000000..0db52142
--- /dev/null
+++ b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+set -e
+
+update-initramfs -c -k all
--
2.39.2
^ permalink raw reply [flat|nested] 12+ messages in thread
* Re: [PATCH] recipes-initramfs/compress-initrd: add recipe to compress initrd with xz
2024-05-13 5:26 [PATCH] recipes-initramfs/compress-initrd: add recipe to compress initrd with xz srinuvasan.a
@ 2024-05-13 5:27 ` Jan Kiszka
2024-05-13 5:47 ` Srinuvasan Arjunan
2024-05-13 6:47 ` MOESSBAUER, Felix
1 sibling, 1 reply; 12+ messages in thread
From: Jan Kiszka @ 2024-05-13 5:27 UTC (permalink / raw)
To: srinuvasan.a, isar-users; +Cc: ubely
On 13.05.24 07:26, srinuvasan.a@siemens.com wrote:
> From: srinuvasan <srinuvasan.a@siemens.com>
>
> By default initrd compressed with zstd tool, with the present bullseye base image
> of amd64 the initrd size is almost 27MB, this can be reduced with the help of xz tool,
> using this one the generated initrd size is almost 18MB, we saved almost 9MB.
>
Isn't that just a matter of increasing the compression rate of zstd? It
seems xz is getting out of fashion generally, and it comes with higher
decompression load.
Jan
> Signed-off-by: srinuvasan <srinuvasan.a@siemens.com>
> ---
> meta-isar/conf/local.conf.sample | 2 +-
> .../compress-initrd/compress-initrd.bb | 18 ++++++++++++++++++
> .../compress-initrd/files/postinst | 5 +++++
> 3 files changed, 24 insertions(+), 1 deletion(-)
> create mode 100644 meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
> create mode 100644 meta-isar/recipes-initramfs/compress-initrd/files/postinst
>
> diff --git a/meta-isar/conf/local.conf.sample b/meta-isar/conf/local.conf.sample
> index 17455015..ac8b749e 100644
> --- a/meta-isar/conf/local.conf.sample
> +++ b/meta-isar/conf/local.conf.sample
> @@ -149,7 +149,7 @@ CONF_VERSION = "1"
>
> #
> # The default list of extra packages to be installed.
> -IMAGE_INSTALL = "hello-isar example-raw example-module-${KERNEL_NAME} enable-fsck isar-exclude-docs samefile hello isar-disable-apt-cache cowsay example-prebuilt"
> +IMAGE_INSTALL = "hello-isar example-raw example-module-${KERNEL_NAME} enable-fsck isar-exclude-docs samefile hello isar-disable-apt-cache cowsay example-prebuilt compress-initrd"
>
> #
> # Machines with secure boot should use signed modules.
> diff --git a/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb b/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
> new file mode 100644
> index 00000000..21e28782
> --- /dev/null
> +++ b/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
> @@ -0,0 +1,18 @@
> +# Compress the initrd with better compression tool
> +#
> +# This software is a part of ISAR.
> +
> +DESCRIPTION = "Compress the initrd with better compression tool"
> +MAINTAINER = "Your name here <you@domain.com>"
> +
> +inherit dpkg-raw
> +
> +DEBIAN_DEPENDS = "linux-image-${KERNEL_NAME}, xz-utils, initramfs-tools"
> +
> +SRC_URI = " \
> + file://postinst \
> +"
> +do_install() {
> + install -v -d "${D}/etc/initramfs-tools/conf.d/"
> + echo "COMPRESS=xz" > "${D}/etc/initramfs-tools/conf.d/${PN}.conf"
> +}
> diff --git a/meta-isar/recipes-initramfs/compress-initrd/files/postinst b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
> new file mode 100644
> index 00000000..0db52142
> --- /dev/null
> +++ b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
> @@ -0,0 +1,5 @@
> +#!/bin/sh
> +
> +set -e
> +
> +update-initramfs -c -k all
--
Siemens AG, Technology
Linux Expert Center
^ permalink raw reply [flat|nested] 12+ messages in thread
* Re: [PATCH] recipes-initramfs/compress-initrd: add recipe to compress initrd with xz
2024-05-13 5:27 ` Jan Kiszka
@ 2024-05-13 5:47 ` Srinuvasan Arjunan
2024-05-13 6:29 ` Jan Kiszka
0 siblings, 1 reply; 12+ messages in thread
From: Srinuvasan Arjunan @ 2024-05-13 5:47 UTC (permalink / raw)
To: Jan Kiszka; +Cc: srinuvasan.a, isar-users, ubely
[-- Attachment #1: Type: text/plain, Size: 3965 bytes --]
On Mon, May 13, 2024 at 10:57 AM 'Jan Kiszka' via isar-users <
isar-users@googlegroups.com> wrote:
> On 13.05.24 07:26, srinuvasan.a@siemens.com wrote:
> > From: srinuvasan <srinuvasan.a@siemens.com>
> >
> > By default initrd compressed with zstd tool, with the present bullseye
> base image
> > of amd64 the initrd size is almost 27MB, this can be reduced with the
> help of xz tool,
> > using this one the generated initrd size is almost 18MB, we saved almost
> 9MB.
> >
>
> Isn't that just a matter of increasing the compression rate of zstd? It
> seems xz is getting out of fashion generally, and it comes with higher
> decompression load.
>
> Jan
>
Sorry, its not zstd tool, the default one is gzip (wrongly captured in
commit message), Just i pushed this patch for very limited memory
requirement embedded devices, in this case i considered the memory
requirement not a decompression load.
Thanks,
Srinu
>
> > Signed-off-by: srinuvasan <srinuvasan.a@siemens.com>
> > ---
> > meta-isar/conf/local.conf.sample | 2 +-
> > .../compress-initrd/compress-initrd.bb | 18 ++++++++++++++++++
> > .../compress-initrd/files/postinst | 5 +++++
> > 3 files changed, 24 insertions(+), 1 deletion(-)
> > create mode 100644 meta-isar/recipes-initramfs/compress-initrd/
> compress-initrd.bb
> > create mode 100644
> meta-isar/recipes-initramfs/compress-initrd/files/postinst
> >
> > diff --git a/meta-isar/conf/local.conf.sample
> b/meta-isar/conf/local.conf.sample
> > index 17455015..ac8b749e 100644
> > --- a/meta-isar/conf/local.conf.sample
> > +++ b/meta-isar/conf/local.conf.sample
> > @@ -149,7 +149,7 @@ CONF_VERSION = "1"
> >
> > #
> > # The default list of extra packages to be installed.
> > -IMAGE_INSTALL = "hello-isar example-raw example-module-${KERNEL_NAME}
> enable-fsck isar-exclude-docs samefile hello isar-disable-apt-cache cowsay
> example-prebuilt"
> > +IMAGE_INSTALL = "hello-isar example-raw example-module-${KERNEL_NAME}
> enable-fsck isar-exclude-docs samefile hello isar-disable-apt-cache cowsay
> example-prebuilt compress-initrd"
> >
> > #
> > # Machines with secure boot should use signed modules.
> > diff --git a/meta-isar/recipes-initramfs/compress-initrd/
> compress-initrd.bb b/meta-isar/recipes-initramfs/compress-initrd/
> compress-initrd.bb
> > new file mode 100644
> > index 00000000..21e28782
> > --- /dev/null
> > +++ b/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
> > @@ -0,0 +1,18 @@
> > +# Compress the initrd with better compression tool
> > +#
> > +# This software is a part of ISAR.
> > +
> > +DESCRIPTION = "Compress the initrd with better compression tool"
> > +MAINTAINER = "Your name here <you@domain.com>"
> > +
> > +inherit dpkg-raw
> > +
> > +DEBIAN_DEPENDS = "linux-image-${KERNEL_NAME}, xz-utils, initramfs-tools"
> > +
> > +SRC_URI = " \
> > + file://postinst \
> > +"
> > +do_install() {
> > + install -v -d "${D}/etc/initramfs-tools/conf.d/"
> > + echo "COMPRESS=xz" > "${D}/etc/initramfs-tools/conf.d/${PN}.conf"
> > +}
> > diff --git a/meta-isar/recipes-initramfs/compress-initrd/files/postinst
> b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
> > new file mode 100644
> > index 00000000..0db52142
> > --- /dev/null
> > +++ b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
> > @@ -0,0 +1,5 @@
> > +#!/bin/sh
> > +
> > +set -e
> > +
> > +update-initramfs -c -k all
>
> --
> Siemens AG, Technology
> Linux Expert Center
>
> --
> You received this message because you are subscribed to the Google Groups
> "isar-users" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to isar-users+unsubscribe@googlegroups.com.
> To view this discussion on the web visit
> https://groups.google.com/d/msgid/isar-users/bc4dcff7-778a-44ac-a7c4-b9d67edec32e%40siemens.com
> .
>
[-- Attachment #2: Type: text/html, Size: 5770 bytes --]
^ permalink raw reply [flat|nested] 12+ messages in thread
* Re: [PATCH] recipes-initramfs/compress-initrd: add recipe to compress initrd with xz
2024-05-13 5:47 ` Srinuvasan Arjunan
@ 2024-05-13 6:29 ` Jan Kiszka
0 siblings, 0 replies; 12+ messages in thread
From: Jan Kiszka @ 2024-05-13 6:29 UTC (permalink / raw)
To: Srinuvasan Arjunan; +Cc: srinuvasan.a, isar-users, ubely
On 13.05.24 07:47, Srinuvasan Arjunan wrote:
>
>
> On Mon, May 13, 2024 at 10:57 AM 'Jan Kiszka' via isar-users
> <isar-users@googlegroups.com <mailto:isar-users@googlegroups.com>> wrote:
>
> On 13.05.24 07:26, srinuvasan.a@siemens.com
> <mailto:srinuvasan.a@siemens.com> wrote:
> > From: srinuvasan <srinuvasan.a@siemens.com
> <mailto:srinuvasan.a@siemens.com>>
> >
> > By default initrd compressed with zstd tool, with the present
> bullseye base image
> > of amd64 the initrd size is almost 27MB, this can be reduced with
> the help of xz tool,
> > using this one the generated initrd size is almost 18MB, we saved
> almost 9MB.
> >
>
> Isn't that just a matter of increasing the compression rate of zstd? It
> seems xz is getting out of fashion generally, and it comes with higher
> decompression load.
>
> Jan
>
>
> Sorry, its not zstd tool, the default one is gzip (wrongly captured in
> commit message), Just i pushed this patch for very limited memory
> requirement embedded devices, in this case i considered the memory
> requirement not a decompression load.
>
OK, but then not hard-code the tool used for compression, rather make it
configurable.
Jan
--
Siemens AG, Technology
Linux Expert Center
^ permalink raw reply [flat|nested] 12+ messages in thread
* Re: [PATCH] recipes-initramfs/compress-initrd: add recipe to compress initrd with xz
2024-05-13 5:26 [PATCH] recipes-initramfs/compress-initrd: add recipe to compress initrd with xz srinuvasan.a
2024-05-13 5:27 ` Jan Kiszka
@ 2024-05-13 6:47 ` MOESSBAUER, Felix
2024-05-13 9:41 ` [PATCH v1] " srinuvasan.a
1 sibling, 1 reply; 12+ messages in thread
From: MOESSBAUER, Felix @ 2024-05-13 6:47 UTC (permalink / raw)
To: isar-users, Arjunan, Srinu; +Cc: ubely, Schmidt, Adriaan, Kiszka, Jan
On Mon, 2024-05-13 at 10:56 +0530, srinuvasan.a via isar-users wrote:
> From: srinuvasan <srinuvasan.a@siemens.com>
>
> By default initrd compressed with zstd tool, with the present
Hi, the standard for bullseye is gz.
> bullseye base image
> of amd64 the initrd size is almost 27MB, this can be reduced with the
> help of xz tool,
> using this one the generated initrd size is almost 18MB, we saved
> almost 9MB.
>
> Signed-off-by: srinuvasan <srinuvasan.a@siemens.com>
> ---
> meta-isar/conf/local.conf.sample | 2 +-
> .../compress-initrd/compress-initrd.bb | 18
> ++++++++++++++++++
> .../compress-initrd/files/postinst | 5 +++++
> 3 files changed, 24 insertions(+), 1 deletion(-)
> create mode 100644 meta-isar/recipes-initramfs/compress-
> initrd/compress-initrd.bb
> create mode 100644 meta-isar/recipes-initramfs/compress-
> initrd/files/postinst
>
> diff --git a/meta-isar/conf/local.conf.sample b/meta-
> isar/conf/local.conf.sample
> index 17455015..ac8b749e 100644
> --- a/meta-isar/conf/local.conf.sample
> +++ b/meta-isar/conf/local.conf.sample
> @@ -149,7 +149,7 @@ CONF_VERSION = "1"
>
> #
> # The default list of extra packages to be installed.
> -IMAGE_INSTALL = "hello-isar example-raw example-module-
> ${KERNEL_NAME} enable-fsck isar-exclude-docs samefile hello isar-
> disable-apt-cache cowsay example-prebuilt"
> +IMAGE_INSTALL = "hello-isar example-raw example-module-
> ${KERNEL_NAME} enable-fsck isar-exclude-docs samefile hello isar-
> disable-apt-cache cowsay example-prebuilt compress-initrd"
>
> #
> # Machines with secure boot should use signed modules.
> diff --git a/meta-isar/recipes-initramfs/compress-initrd/compress-
> initrd.bb b/meta-isar/recipes-initramfs/compress-initrd/compress-
> initrd.bb
> new file mode 100644
> index 00000000..21e28782
> --- /dev/null
> +++ b/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
> @@ -0,0 +1,18 @@
> +# Compress the initrd with better compression tool
> +#
> +# This software is a part of ISAR.
> +
> +DESCRIPTION = "Compress the initrd with better compression tool"
This description makes is too vague.
> +MAINTAINER = "Your name here <you@domain.com>"
No ;)
> +
> +inherit dpkg-raw
> +
> +DEBIAN_DEPENDS = "linux-image-${KERNEL_NAME}, xz-utils, initramfs-
> tools"
> +
> +SRC_URI = " \
> + file://postinst \
> +"
> +do_install() {
> + install -v -d "${D}/etc/initramfs-tools/conf.d/"
> + echo "COMPRESS=xz" >
Please don't hardcode values. Further, we need to have the compression
utility installed to be able to perform that compression. For xz,
that's xz-utils.
In general, I like the idea to make this customizable (even if I like
zstd more than xz because xz requires a lot of resources for
decompression). However, I'm wondering if we can implement this using
the imagetypes infrastructure (@Adriaan, in CC). That would make it
consistent across ISAR and also avoid the introduction of additional
variables.
Felix
> "${D}/etc/initramfs-tools/conf.d/${PN}.conf"
> +}
> diff --git a/meta-isar/recipes-initramfs/compress-
> initrd/files/postinst b/meta-isar/recipes-initramfs/compress-
> initrd/files/postinst
> new file mode 100644
> index 00000000..0db52142
> --- /dev/null
> +++ b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
> @@ -0,0 +1,5 @@
> +#!/bin/sh
> +
> +set -e
> +
> +update-initramfs -c -k all
> --
> 2.39.2
>
--
Siemens AG, Technology
Linux Expert Center
^ permalink raw reply [flat|nested] 12+ messages in thread
* [PATCH v1] recipes-initramfs/compress-initrd: add recipe to compress initrd with xz
2024-05-13 6:47 ` MOESSBAUER, Felix
@ 2024-05-13 9:41 ` srinuvasan.a
2024-05-30 5:49 ` Uladzimir Bely
2024-05-31 7:35 ` Jan Kiszka
0 siblings, 2 replies; 12+ messages in thread
From: srinuvasan.a @ 2024-05-13 9:41 UTC (permalink / raw)
To: isar-users; +Cc: felix.moessbauer, jan.kiszka, adriaan.schmidt, srinuvasan
From: srinuvasan <srinuvasan.a@siemens.com>
By default initrd compressed with gzip tool, with the present bullseye base image
of amd64 the initrd size is almost 27MB, this can be reduced with the help of xz tool,
using this one the generated initrd size is almost 18MB, we saved almost 9MB.
Signed-off-by: srinuvasan <srinuvasan.a@siemens.com>
---
meta-isar/conf/local.conf.sample | 2 +-
.../compress-initrd/compress-initrd.bb | 21 +++++++++++++++++++
.../compress-initrd/files/postinst | 5 +++++
3 files changed, 27 insertions(+), 1 deletion(-)
create mode 100644 meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
create mode 100644 meta-isar/recipes-initramfs/compress-initrd/files/postinst
diff --git a/meta-isar/conf/local.conf.sample b/meta-isar/conf/local.conf.sample
index 17455015..ac8b749e 100644
--- a/meta-isar/conf/local.conf.sample
+++ b/meta-isar/conf/local.conf.sample
@@ -149,7 +149,7 @@ CONF_VERSION = "1"
#
# The default list of extra packages to be installed.
-IMAGE_INSTALL = "hello-isar example-raw example-module-${KERNEL_NAME} enable-fsck isar-exclude-docs samefile hello isar-disable-apt-cache cowsay example-prebuilt"
+IMAGE_INSTALL = "hello-isar example-raw example-module-${KERNEL_NAME} enable-fsck isar-exclude-docs samefile hello isar-disable-apt-cache cowsay example-prebuilt compress-initrd"
#
# Machines with secure boot should use signed modules.
diff --git a/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb b/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
new file mode 100644
index 00000000..b1a5909b
--- /dev/null
+++ b/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
@@ -0,0 +1,21 @@
+# Sample recipe to configure the desired compression tool
+# during initramfs generation
+#
+# This software is a part of ISAR.
+
+DESCRIPTION = "Compress the initrd with configured compression tool"
+MAINTAINER = "Your name here <you@domain.com>"
+
+inherit dpkg-raw
+
+COMPRESS_TOOL ?= "xz"
+
+DEBIAN_DEPENDS = "linux-image-${KERNEL_NAME}, xz-utils, initramfs-tools"
+
+SRC_URI = " \
+ file://postinst \
+"
+do_install() {
+ install -v -d "${D}/etc/initramfs-tools/conf.d/"
+ echo "COMPRESS=${COMPRESS_TOOL}" > "${D}/etc/initramfs-tools/conf.d/${PN}.conf"
+}
diff --git a/meta-isar/recipes-initramfs/compress-initrd/files/postinst b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
new file mode 100644
index 00000000..0db52142
--- /dev/null
+++ b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+set -e
+
+update-initramfs -c -k all
--
2.34.1
^ permalink raw reply [flat|nested] 12+ messages in thread
* Re: [PATCH v1] recipes-initramfs/compress-initrd: add recipe to compress initrd with xz
2024-05-13 9:41 ` [PATCH v1] " srinuvasan.a
@ 2024-05-30 5:49 ` Uladzimir Bely
2024-05-30 5:52 ` Srinuvasan Arjunan
2024-05-31 7:35 ` Jan Kiszka
1 sibling, 1 reply; 12+ messages in thread
From: Uladzimir Bely @ 2024-05-30 5:49 UTC (permalink / raw)
To: srinuvasan.a, isar-users
On Mon, 2024-05-13 at 15:11 +0530, srinuvasan.a via isar-users wrote:
> From: srinuvasan <srinuvasan.a@siemens.com>
>
> By default initrd compressed with gzip tool, with the present
> bullseye base image
> of amd64 the initrd size is almost 27MB, this can be reduced with the
> help of xz tool,
> using this one the generated initrd size is almost 18MB, we saved
> almost 9MB.
>
> Signed-off-by: srinuvasan <srinuvasan.a@siemens.com>
> ---
> meta-isar/conf/local.conf.sample | 2 +-
> .../compress-initrd/compress-initrd.bb | 21
> +++++++++++++++++++
> .../compress-initrd/files/postinst | 5 +++++
> 3 files changed, 27 insertions(+), 1 deletion(-)
> create mode 100644 meta-isar/recipes-initramfs/compress-
> initrd/compress-initrd.bb
> create mode 100644 meta-isar/recipes-initramfs/compress-
> initrd/files/postinst
>
> diff --git a/meta-isar/conf/local.conf.sample b/meta-
> isar/conf/local.conf.sample
> index 17455015..ac8b749e 100644
> --- a/meta-isar/conf/local.conf.sample
> +++ b/meta-isar/conf/local.conf.sample
> @@ -149,7 +149,7 @@ CONF_VERSION = "1"
>
> #
> # The default list of extra packages to be installed.
> -IMAGE_INSTALL = "hello-isar example-raw example-module-
> ${KERNEL_NAME} enable-fsck isar-exclude-docs samefile hello isar-
> disable-apt-cache cowsay example-prebuilt"
> +IMAGE_INSTALL = "hello-isar example-raw example-module-
> ${KERNEL_NAME} enable-fsck isar-exclude-docs samefile hello isar-
> disable-apt-cache cowsay example-prebuilt compress-initrd"
>
> #
> # Machines with secure boot should use signed modules.
> diff --git a/meta-isar/recipes-initramfs/compress-initrd/compress-
> initrd.bb b/meta-isar/recipes-initramfs/compress-initrd/compress-
> initrd.bb
> new file mode 100644
> index 00000000..b1a5909b
> --- /dev/null
> +++ b/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
> @@ -0,0 +1,21 @@
> +# Sample recipe to configure the desired compression tool
> +# during initramfs generation
> +#
> +# This software is a part of ISAR.
> +
> +DESCRIPTION = "Compress the initrd with configured compression tool"
> +MAINTAINER = "Your name here <you@domain.com>"
This line is still not fixed/removed.
> +
> +inherit dpkg-raw
> +
> +COMPRESS_TOOL ?= "xz"
> +
> +DEBIAN_DEPENDS = "linux-image-${KERNEL_NAME}, xz-utils, initramfs-
> tools"
> +
> +SRC_URI = " \
> + file://postinst \
> +"
> +do_install() {
> + install -v -d "${D}/etc/initramfs-tools/conf.d/"
> + echo "COMPRESS=${COMPRESS_TOOL}" > "${D}/etc/initramfs-
> tools/conf.d/${PN}.conf"
> +}
> diff --git a/meta-isar/recipes-initramfs/compress-
> initrd/files/postinst b/meta-isar/recipes-initramfs/compress-
> initrd/files/postinst
> new file mode 100644
> index 00000000..0db52142
> --- /dev/null
> +++ b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
> @@ -0,0 +1,5 @@
> +#!/bin/sh
> +
> +set -e
> +
> +update-initramfs -c -k all
> --
> 2.34.1
>
Since this is a new Isar package, an appropriate Kconfig/yaml item is
worth adding into kas/package.
--
Best regards,
Uladzimir.
^ permalink raw reply [flat|nested] 12+ messages in thread
* Re: [PATCH v1] recipes-initramfs/compress-initrd: add recipe to compress initrd with xz
2024-05-30 5:49 ` Uladzimir Bely
@ 2024-05-30 5:52 ` Srinuvasan Arjunan
0 siblings, 0 replies; 12+ messages in thread
From: Srinuvasan Arjunan @ 2024-05-30 5:52 UTC (permalink / raw)
To: isar-users
[-- Attachment #1.1: Type: text/plain, Size: 3425 bytes --]
On Thursday, May 30, 2024 at 11:19:32 AM UTC+5:30 Uladzimir Bely wrote:
On Mon, 2024-05-13 at 15:11 +0530, srinuvasan.a via isar-users wrote:
> From: srinuvasan <srinuv...@siemens.com>
>
> By default initrd compressed with gzip tool, with the present
> bullseye base image
> of amd64 the initrd size is almost 27MB, this can be reduced with the
> help of xz tool,
> using this one the generated initrd size is almost 18MB, we saved
> almost 9MB.
>
> Signed-off-by: srinuvasan <srinuv...@siemens.com>
> ---
> meta-isar/conf/local.conf.sample | 2 +-
> .../compress-initrd/compress-initrd.bb | 21
> +++++++++++++++++++
> .../compress-initrd/files/postinst | 5 +++++
> 3 files changed, 27 insertions(+), 1 deletion(-)
> create mode 100644 meta-isar/recipes-initramfs/compress-
> initrd/compress-initrd.bb
> create mode 100644 meta-isar/recipes-initramfs/compress-
> initrd/files/postinst
>
> diff --git a/meta-isar/conf/local.conf.sample b/meta-
> isar/conf/local.conf.sample
> index 17455015..ac8b749e 100644
> --- a/meta-isar/conf/local.conf.sample
> +++ b/meta-isar/conf/local.conf.sample
> @@ -149,7 +149,7 @@ CONF_VERSION = "1"
>
> #
> # The default list of extra packages to be installed.
> -IMAGE_INSTALL = "hello-isar example-raw example-module-
> ${KERNEL_NAME} enable-fsck isar-exclude-docs samefile hello isar-
> disable-apt-cache cowsay example-prebuilt"
> +IMAGE_INSTALL = "hello-isar example-raw example-module-
> ${KERNEL_NAME} enable-fsck isar-exclude-docs samefile hello isar-
> disable-apt-cache cowsay example-prebuilt compress-initrd"
>
> #
> # Machines with secure boot should use signed modules.
> diff --git a/meta-isar/recipes-initramfs/compress-initrd/compress-
> initrd.bb b/meta-isar/recipes-initramfs/compress-initrd/compress-
> initrd.bb
> new file mode 100644
> index 00000000..b1a5909b
> --- /dev/null
> +++ b/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
> @@ -0,0 +1,21 @@
> +# Sample recipe to configure the desired compression tool
> +# during initramfs generation
> +#
> +# This software is a part of ISAR.
> +
> +DESCRIPTION = "Compress the initrd with configured compression tool"
> +MAINTAINER = "Your name here <y...@domain.com>"
This line is still not fixed/removed.
> +
> +inherit dpkg-raw
> +
> +COMPRESS_TOOL ?= "xz"
> +
> +DEBIAN_DEPENDS = "linux-image-${KERNEL_NAME}, xz-utils, initramfs-
> tools"
> +
> +SRC_URI = " \
> + file://postinst \
> +"
> +do_install() {
> + install -v -d "${D}/etc/initramfs-tools/conf.d/"
> + echo "COMPRESS=${COMPRESS_TOOL}" > "${D}/etc/initramfs-
> tools/conf.d/${PN}.conf"
> +}
> diff --git a/meta-isar/recipes-initramfs/compress-
> initrd/files/postinst b/meta-isar/recipes-initramfs/compress-
> initrd/files/postinst
> new file mode 100644
> index 00000000..0db52142
> --- /dev/null
> +++ b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
> @@ -0,0 +1,5 @@
> +#!/bin/sh
> +
> +set -e
> +
> +update-initramfs -c -k all
> --
> 2.34.1
>
Since this is a new Isar package, an appropriate Kconfig/yaml item is
worth adding into kas/package.
--
Best regards,
Uladzimir.
Thanks for the review, will send another version of the patch soon.
Many thanks,
Srinu
[-- Attachment #1.2: Type: text/html, Size: 4897 bytes --]
^ permalink raw reply [flat|nested] 12+ messages in thread
* Re: [PATCH v1] recipes-initramfs/compress-initrd: add recipe to compress initrd with xz
2024-05-13 9:41 ` [PATCH v1] " srinuvasan.a
2024-05-30 5:49 ` Uladzimir Bely
@ 2024-05-31 7:35 ` Jan Kiszka
2024-04-17 13:43 ` [PATCH V3] " srinuvasan.a
1 sibling, 1 reply; 12+ messages in thread
From: Jan Kiszka @ 2024-05-31 7:35 UTC (permalink / raw)
To: srinuvasan.a, isar-users; +Cc: felix.moessbauer, adriaan.schmidt
On 13.05.24 11:41, srinuvasan.a@siemens.com wrote:
> From: srinuvasan <srinuvasan.a@siemens.com>
>
> By default initrd compressed with gzip tool, with the present bullseye base image
> of amd64 the initrd size is almost 27MB, this can be reduced with the help of xz tool,
> using this one the generated initrd size is almost 18MB, we saved almost 9MB.
>
> Signed-off-by: srinuvasan <srinuvasan.a@siemens.com>
> ---
> meta-isar/conf/local.conf.sample | 2 +-
> .../compress-initrd/compress-initrd.bb | 21 +++++++++++++++++++
> .../compress-initrd/files/postinst | 5 +++++
> 3 files changed, 27 insertions(+), 1 deletion(-)
> create mode 100644 meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
> create mode 100644 meta-isar/recipes-initramfs/compress-initrd/files/postinst
>
> diff --git a/meta-isar/conf/local.conf.sample b/meta-isar/conf/local.conf.sample
> index 17455015..ac8b749e 100644
> --- a/meta-isar/conf/local.conf.sample
> +++ b/meta-isar/conf/local.conf.sample
> @@ -149,7 +149,7 @@ CONF_VERSION = "1"
>
> #
> # The default list of extra packages to be installed.
> -IMAGE_INSTALL = "hello-isar example-raw example-module-${KERNEL_NAME} enable-fsck isar-exclude-docs samefile hello isar-disable-apt-cache cowsay example-prebuilt"
> +IMAGE_INSTALL = "hello-isar example-raw example-module-${KERNEL_NAME} enable-fsck isar-exclude-docs samefile hello isar-disable-apt-cache cowsay example-prebuilt compress-initrd"
>
> #
> # Machines with secure boot should use signed modules.
> diff --git a/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb b/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
> new file mode 100644
> index 00000000..b1a5909b
> --- /dev/null
> +++ b/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
> @@ -0,0 +1,21 @@
> +# Sample recipe to configure the desired compression tool
> +# during initramfs generation
> +#
> +# This software is a part of ISAR.
> +
> +DESCRIPTION = "Compress the initrd with configured compression tool"
> +MAINTAINER = "Your name here <you@domain.com>"
> +
> +inherit dpkg-raw
> +
> +COMPRESS_TOOL ?= "xz"
> +
> +DEBIAN_DEPENDS = "linux-image-${KERNEL_NAME}, xz-utils, initramfs-tools"
> +
> +SRC_URI = " \
> + file://postinst \
> +"
> +do_install() {
> + install -v -d "${D}/etc/initramfs-tools/conf.d/"
> + echo "COMPRESS=${COMPRESS_TOOL}" > "${D}/etc/initramfs-tools/conf.d/${PN}.conf"
> +}
> diff --git a/meta-isar/recipes-initramfs/compress-initrd/files/postinst b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
> new file mode 100644
> index 00000000..0db52142
> --- /dev/null
> +++ b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
> @@ -0,0 +1,5 @@
> +#!/bin/sh
> +
> +set -e
> +
> +update-initramfs -c -k all
"However, I'm wondering if we can implement this using
the imagetypes infrastructure (@Adriaan, in CC). That would make it
consistent across ISAR and also avoid the introduction of additional
variables."
This question of Felix remains open.
Jan
--
Siemens AG, Technology
Linux Expert Center
^ permalink raw reply [flat|nested] 12+ messages in thread
* Re: [PATCH V3] recipes-initramfs/compress-initrd: add recipe to compress initrd with xz
2024-04-17 13:43 ` [PATCH V3] " srinuvasan.a
@ 2024-07-08 9:44 ` Srinuvasan Arjunan
2024-07-18 11:36 ` Srinuvasan Arjunan
0 siblings, 1 reply; 12+ messages in thread
From: Srinuvasan Arjunan @ 2024-07-08 9:44 UTC (permalink / raw)
To: isar-users
[-- Attachment #1.1: Type: text/plain, Size: 3647 bytes --]
On Tuesday, July 2, 2024 at 7:11:00 PM UTC+5:30 srinuv...@siemens.com wrote:
From: srinuvasan <srinuv...@siemens.com>
By default initrd compressed with gzip tool, with the present bullseye base
image
of amd64 the initrd size is almost 27MB, this can be reduced with the help
of xz tool,
using this one the generated initrd size is almost 18MB, we saved almost
9MB.
Signed-off-by: srinuvasan <srinuv...@siemens.com>
---
kas/package/Kconfig | 9 ++++++++
kas/package/pkg_compress_initrd.yaml | 9 ++++++++
.../compress-initrd/compress-initrd.bb | 21 +++++++++++++++++++
.../compress-initrd/files/postinst | 5 +++++
4 files changed, 44 insertions(+)
create mode 100644 kas/package/pkg_compress_initrd.yaml
create mode 100644 meta-isar/recipes-initramfs/compress-initrd/
compress-initrd.bb
create mode 100644
meta-isar/recipes-initramfs/compress-initrd/files/postinst
diff --git a/kas/package/Kconfig b/kas/package/Kconfig
index 35ba7cf1..9c24a680 100644
--- a/kas/package/Kconfig
+++ b/kas/package/Kconfig
@@ -146,6 +146,15 @@ config KAS_INCLUDE_PACKAGE_ISAR_CI_SSH_SETUP
default "kas/package/pkg_sshd-regen-keys.yaml"
depends on PACKAGE_ISAR_CI_SSH_SETUP
+config PACKAGE_COMPRESS_INITRD
+ bool "compress initrd"
+ default y
+
+config KAS_INCLUDE_PACKAGE_COMPRESS_INITRD
+ string
+ default "kas/package/pkg_compress_initrd.yaml"
+ depends on PACKAGE_COMPRESS_INITRD
+
endmenu
config KAS_IMAGE_PREINSTALL
diff --git a/kas/package/pkg_compress_initrd.yaml
b/kas/package/pkg_compress_initrd.yaml
new file mode 100644
index 00000000..376a280c
--- /dev/null
+++ b/kas/package/pkg_compress_initrd.yaml
@@ -0,0 +1,9 @@
+# This software is a part of ISAR.
+# Copyright (C) 2024 ilbers GmbH
+
+header:
+ version: 14
+
+local_conf_header:
+ package-compress-initrd: |
+ IMAGE_INSTALL:append = " compress-initrd"
diff --git a/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
b/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
new file mode 100644
index 00000000..b1a5909b
--- /dev/null
+++ b/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
@@ -0,0 +1,21 @@
+# Sample recipe to configure the desired compression tool
+# during initramfs generation
+#
+# This software is a part of ISAR.
+
+DESCRIPTION = "Compress the initrd with configured compression tool"
+MAINTAINER = "Your name here <y...@domain.com>"
+
+inherit dpkg-raw
+
+COMPRESS_TOOL ?= "xz"
+
+DEBIAN_DEPENDS = "linux-image-${KERNEL_NAME}, xz-utils, initramfs-tools"
+
+SRC_URI = " \
+ file://postinst \
+"
+do_install() {
+ install -v -d "${D}/etc/initramfs-tools/conf.d/"
+ echo "COMPRESS=${COMPRESS_TOOL}" >
"${D}/etc/initramfs-tools/conf.d/${PN}.conf"
+}
diff --git a/meta-isar/recipes-initramfs/compress-initrd/files/postinst
b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
new file mode 100644
index 00000000..0db52142
--- /dev/null
+++ b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+set -e
+
+update-initramfs -c -k all
--
2.34.1
Hi All,
Any update on this patch?
Many thanks,
Srinu
--
You received this message because you are subscribed to the Google Groups "isar-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to isar-users+unsubscribe@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/isar-users/2ef644ca-b0fa-4583-8ac0-7635e9a4b05cn%40googlegroups.com.
[-- Attachment #1.2: Type: text/html, Size: 5217 bytes --]
^ permalink raw reply [flat|nested] 12+ messages in thread
* Re: [PATCH V3] recipes-initramfs/compress-initrd: add recipe to compress initrd with xz
2024-07-08 9:44 ` Srinuvasan Arjunan
@ 2024-07-18 11:36 ` Srinuvasan Arjunan
0 siblings, 0 replies; 12+ messages in thread
From: Srinuvasan Arjunan @ 2024-07-18 11:36 UTC (permalink / raw)
To: isar-users
[-- Attachment #1.1: Type: text/plain, Size: 3870 bytes --]
On Monday, July 8, 2024 at 3:14:54 PM UTC+5:30 Srinuvasan Arjunan wrote:
On Tuesday, July 2, 2024 at 7:11:00 PM UTC+5:30 srinuv...@siemens.com wrote:
From: srinuvasan <srinuv...@siemens.com>
By default initrd compressed with gzip tool, with the present bullseye base
image
of amd64 the initrd size is almost 27MB, this can be reduced with the help
of xz tool,
using this one the generated initrd size is almost 18MB, we saved almost
9MB.
Signed-off-by: srinuvasan <srinuv...@siemens.com>
---
kas/package/Kconfig | 9 ++++++++
kas/package/pkg_compress_initrd.yaml | 9 ++++++++
.../compress-initrd/compress-initrd.bb | 21 +++++++++++++++++++
.../compress-initrd/files/postinst | 5 +++++
4 files changed, 44 insertions(+)
create mode 100644 kas/package/pkg_compress_initrd.yaml
create mode 100644 meta-isar/recipes-initramfs/compress-initrd/
compress-initrd.bb
create mode 100644
meta-isar/recipes-initramfs/compress-initrd/files/postinst
diff --git a/kas/package/Kconfig b/kas/package/Kconfig
index 35ba7cf1..9c24a680 100644
--- a/kas/package/Kconfig
+++ b/kas/package/Kconfig
@@ -146,6 +146,15 @@ config KAS_INCLUDE_PACKAGE_ISAR_CI_SSH_SETUP
default "kas/package/pkg_sshd-regen-keys.yaml"
depends on PACKAGE_ISAR_CI_SSH_SETUP
+config PACKAGE_COMPRESS_INITRD
+ bool "compress initrd"
+ default y
+
+config KAS_INCLUDE_PACKAGE_COMPRESS_INITRD
+ string
+ default "kas/package/pkg_compress_initrd.yaml"
+ depends on PACKAGE_COMPRESS_INITRD
+
endmenu
config KAS_IMAGE_PREINSTALL
diff --git a/kas/package/pkg_compress_initrd.yaml
b/kas/package/pkg_compress_initrd.yaml
new file mode 100644
index 00000000..376a280c
--- /dev/null
+++ b/kas/package/pkg_compress_initrd.yaml
@@ -0,0 +1,9 @@
+# This software is a part of ISAR.
+# Copyright (C) 2024 ilbers GmbH
+
+header:
+ version: 14
+
+local_conf_header:
+ package-compress-initrd: |
+ IMAGE_INSTALL:append = " compress-initrd"
diff --git a/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
b/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
new file mode 100644
index 00000000..b1a5909b
--- /dev/null
+++ b/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
@@ -0,0 +1,21 @@
+# Sample recipe to configure the desired compression tool
+# during initramfs generation
+#
+# This software is a part of ISAR.
+
+DESCRIPTION = "Compress the initrd with configured compression tool"
+MAINTAINER = "Your name here <y...@domain.com>"
+
+inherit dpkg-raw
+
+COMPRESS_TOOL ?= "xz"
+
+DEBIAN_DEPENDS = "linux-image-${KERNEL_NAME}, xz-utils, initramfs-tools"
+
+SRC_URI = " \
+ file://postinst \
+"
+do_install() {
+ install -v -d "${D}/etc/initramfs-tools/conf.d/"
+ echo "COMPRESS=${COMPRESS_TOOL}" >
"${D}/etc/initramfs-tools/conf.d/${PN}.conf"
+}
diff --git a/meta-isar/recipes-initramfs/compress-initrd/files/postinst
b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
new file mode 100644
index 00000000..0db52142
--- /dev/null
+++ b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+set -e
+
+update-initramfs -c -k all
--
2.34.1
Hi All,
Any update on this patch?
Many thanks,
Srinu
Hi All,
Still do you feel any fixes/improvement needed for this patch, if
not kindly merge this change.
Thanks,
Srinu
--
You received this message because you are subscribed to the Google Groups "isar-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to isar-users+unsubscribe@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/isar-users/957f7a7d-5baf-4eed-97e3-e902935ba35an%40googlegroups.com.
[-- Attachment #1.2: Type: text/html, Size: 5712 bytes --]
^ permalink raw reply [flat|nested] 12+ messages in thread
end of thread, other threads:[~2024-07-18 11:36 UTC | newest]
Thread overview: 12+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2024-05-13 5:26 [PATCH] recipes-initramfs/compress-initrd: add recipe to compress initrd with xz srinuvasan.a
2024-05-13 5:27 ` Jan Kiszka
2024-05-13 5:47 ` Srinuvasan Arjunan
2024-05-13 6:29 ` Jan Kiszka
2024-05-13 6:47 ` MOESSBAUER, Felix
2024-05-13 9:41 ` [PATCH v1] " srinuvasan.a
2024-05-30 5:49 ` Uladzimir Bely
2024-05-30 5:52 ` Srinuvasan Arjunan
2024-05-31 7:35 ` Jan Kiszka
2024-04-17 13:43 ` [PATCH V3] " srinuvasan.a
2024-07-08 9:44 ` Srinuvasan Arjunan
2024-07-18 11:36 ` Srinuvasan Arjunan
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox